/*
 * mouse-killer v0.4.0
 *
 * An Angular.JS directive to bind keyboard shortcuts to buttons (or any other DOM element).
 *
 * (c) 2017 Rodrigo Roma
 * License: MIT
 */
(function(){"use strict";var e=angular.module("mouseKiller",[]);e.provider("mouseKiller",function(){this.event="click",this.hint="title",this.hintTitle="Shortcut: %",this.preventDefault=!0,this.stopPropagation=!0,this.enabled="auto",this.setEvent=function(e){this.event=e.toLowerCase()},this.setHint=function(e){this.hint=e.toLowerCase()},this.setHintTitle=function(e){this.hintTitle=e},this.setPreventDefault=function(e){this.preventDefault=e},this.setStopPropagation=function(e){this.stopPropagation=e},this.setEnabled=function(e){this.enabled=e},this.$get=function(){return this}}),e.directive("mkShortcut",["$document","mouseKiller",function(e,t){return{restrict:"A",scope:{mkShortcut:"@",mkEvent:"@",mkHint:"@",mkHintTitle:"@",mkPreventDefault:"=",mkStopPropagation:"=",mkEnabled:"="},link:function(n,r,u,i){function o(e){if(e&&e!==document.body){var t="static"!==T(e,"position"),n="auto"!==T(e,"z-index");return t&&n?+T(e,"z-index"):void 0}}var a=["shift","ctrl","alt","meta"],c={},s=function(){c={shortcut:l(n.mkShortcut),event:n.mkEvent||t.event,hint:n.mkHint||t.hint,hintTitle:n.mkHintTitle||t.hintTitle,preventDefault:void 0!==n.mkPreventDefault?n.mkPreventDefault:t.preventDefault,stopPropagation:void 0!==n.mkStopPropagation?n.mkStopPropagation:t.stopPropagation,enabled:void 0!==n.mkEnabled?n.mkEnabled:t.enabled}},l=function(e){if(!e)return null;var t={keyCode:null};for(var n in a)t[a[n]]=!1;var r=e.split("+");for(var n in r){var u=r[n];if(u=u.toLowerCase(),u=u.trim(),a.indexOf(u)>-1)t[u]=!0;else{if(null!=t.keyCode)throw Error('Invalid shortcut "'+e+'". You can have only one normal key (and any number of modifier keys).');try{t.keyCode=p(u)}catch(t){throw Error("Error in '"+e+"' shortcut :: "+t)}}}t.numberOfKeys=0,t.keyCode&&t.numberOfKeys++;for(var n in a)1==t[a[n]]&&t.numberOfKeys++;return t},f=function(){if(null!=c.shortcut){var e=u.mkShortcut.toUpperCase().trim().replace(/ *\+ */g,"+");if("title"==c.hint){var t=c.hintTitle.replace("%",e);r.attr("title",t)}"inline"==c.hint&&r[0].appendChild(document.createTextNode(" ("+e+")"))}},d=function(e){var t=r[0];if(t instanceof Element==0)throw Error("DomUtil: elem is not an element.");0!=h(e)&&0!=m(t,e)&&(H(e),S(e),r.trigger(c.event))},h=function(e){if(null==c.shortcut)return!1;var t=e.which||e.keyCode;if(c.shortcut.keyCode&&c.shortcut.keyCode!=t)return!1;for(var n in a){var r=a[n];if(c.shortcut[r]!=e[r+"Key"])return!1}return!0},p=function(e){if(e.match(/^{ *\d+ *}$/))return e.replace(/^{ *(\d+) *}$/,"$1");switch(e){case"backspace":return 8;case"tab":return 9;case"enter":return 13;case"esc":return 27;case"page up":return 33;case"page down":return 34;case"end":return 35;case"home":return 36;case"left arrow":return 37;case"up arrow":return 38;case"right arrow":return 39;case"down arrow":return 40;case"insert":return 45;case"delete":return 46;case"0":return 48;case"1":return 49;case"2":return 50;case"3":return 51;case"4":return 52;case"5":return 53;case"6":return 54;case"7":return 55;case"8":return 56;case"9":return 57;case"a":return 65;case"b":return 66;case"c":return 67;case"d":return 68;case"e":return 69;case"f":return 70;case"g":return 71;case"h":return 72;case"i":return 73;case"j":return 74;case"k":return 75;case"l":return 76;case"m":return 77;case"n":return 78;case"o":return 79;case"p":return 80;case"q":return 81;case"r":return 82;case"s":return 83;case"t":return 84;case"u":return 85;case"v":return 86;case"w":return 87;case"x":return 88;case"y":return 89;case"z":return 90;case"numpad 0":return 96;case"numpad 1":return 97;case"numpad 2":return 98;case"numpad 3":return 99;case"numpad 4":return 100;case"numpad 5":return 101;case"numpad 6":return 102;case"numpad 7":return 103;case"numpad 8":return 104;case"numpad 9":return 105;case"multiply":return 106;case"add":return 107;case"subtract":return 109;case"decimal point":return 110;case"divide":return 111;case"f1":return 112;case"f2":return 113;case"f3":return 114;case"f4":return 115;case"f5":return 116;case"f6":return 117;case"f7":return 118;case"f8":return 119;case"f9":return 120;case"f10":return 121;case"f11":return 122;case"f12":return 123;default:throw Error('Unknow key "'+e+'"')}},m=function(e,t){if(!0===c.enabled)return!0;if(!1===c.enabled)return!1;if("string"==typeof c.enabled&&"auto"===c.enabled){var n=["INPUT","SELECT","TEXTAREA"];return!(c.shortcut.numberOfKeys<2&&n.indexOf(document.activeElement.nodeName)>-1)&&0!=v(e)}return"function"==typeof c.enabled?c.enabled(e,t,v(e)):(console.error("Invalid value for 'enabled' property. Expected true|false|auto|function but found "+c.enabled),!0)},v=function(e){if(0==g(e))return!1;if(1==y(e))return!1;var t=b(e);return null==t?!w(e):k(e,t)},g=function(e){var t=getComputedStyle(e);return"none"!==t.display&&("visible"===t.visibility&&(!(t.opacity<.1)&&e.offsetWidth+e.offsetHeight+e.getBoundingClientRect().height+e.getBoundingClientRect().width!==0))},y=function(e){return!!e.disabled},b=function(e){var t={x:e.getBoundingClientRect().left+e.offsetWidth/2,y:e.getBoundingClientRect().top+e.offsetHeight/2};return t.x<0?null:t.x>(document.documentElement.clientWidth||window.innerWidth)?null:t.y<0?null:t.y>(document.documentElement.clientHeight||window.innerHeight)?null:t},k=function(e,t){var n=document.elementFromPoint(t.x,t.y);do{if(n===e)return!0}while(n=n.parentNode);return!1},w=function(e){var t=["div"],n=[];t.forEach(function(e){for(var t=document.getElementsByTagName(e),r=0;r<t.length;r++)n.push(t[r])});for(var r=0;r<n.length;r++)if(1==E(e,n[r]))return!0;return!1},E=function(e,t){return(0!=C(e,t)||0!=P(t))&&x(e,t)!=e},C=function(e,t){var n=e.getBoundingClientRect(),r=t.getBoundingClientRect();return!(n.left<r.left)&&(!(n.right>r.right)&&(!(n.top<r.top)&&!(n.bottom>r.bottom)))},P=function(e){if("fixed"!=T(e,"position"))return!1;var t=e.getBoundingClientRect();return!(t.left-20>0)&&(!(t.right+20<(document.documentElement.clientWidth||window.innerWidth))&&(!(t.top-20>0)&&!(t.bottom+20<(document.documentElement.clientHeight||window.innerHeight))))},x=function(e,t){for(var n=$(e).parents(),r=n.length,u=$(t).parents(),i=u.length;r>=0&&i>=0&&n[--r]==u[--i];);for(var a=r>=0?n[r]:e,c=i>=0?u[i]:t,s=o(a),l=o(c);a&&void 0===s;)a=r<0?null:--r<0?e:n[r],s=o(a);for(;c&&void 0===l;)c=i<0?null:--i<0?t:u[i],l=o(c);var f=D(a,c,e,t);return void 0!==s?void 0!==l?s>l?e:s<l?t:f:s>0?e:s<0?t:f:void 0!==l?l<0?e:l>0?t:f:f},D=function(e,t,n,r){return $.inArray(r,$(n).parents())>=0?n:$.inArray(n,$(r).parents())>=0?r:$(e).index()-$(t).index()>0?n:r},T=function(e,t){return window.getComputedStyle(e).getPropertyValue(t)},H=function(e){if(!1!==c.preventDefault){if(!0===c.preventDefault)return void e.preventDefault();e.preventDefault(),console.warn("Invalid preventDefault value (should be a boolean)")}},S=function(e){if(!1!==c.stopPropagation){if(!0===c.stopPropagation)return void e.stopPropagation();e.stopPropagation(),console.warn("Invalid stopPropagation value (should be a boolean)")}};!function(){s(),null!=c.shortcut&&(f(),e.on("keydown",d),r.on("$destroy",function(){e.off("keydown",d)}))}()}}}])}).call(this);